#ifndef __DEVICE__IMPL_H
#define __DEVICE__IMPL_H

#include "dialupmanager.h"


// Implementation for interface Device
class Device_impl : virtual public POA_DialupManager::Device
{
  protected:
    CORBA::String_var iname;
    CORBA::String_var idesc;
  public:
    Device_impl(const char *name,const char *desc);

    char* name()
      throw(
        ::CORBA::SystemException)
    ;

    char* desc()
      throw(
        ::CORBA::SystemException)
    ;
};

#endif
