/* cti: Event auslsen wenn Telefonanruf hereinkommt */
#ifndef ISDNCTI_H
#define ISDNCTI_H
#include"CosEventChannelAdmin.h"
#include"isdnsystem.h"

extern int isdncti_debuglevel;


class IsdnCTIEventCallback : virtual public POA_CosEventComm::PushSupplier,
			     public CORBA::DispatcherCallback
{
    CORBA::Long fd;
    int aktiv;
    CosEventChannelAdmin::EventChannel_var ctichannel;
    CosEventChannelAdmin::ProxyPushConsumer_var pushconsumer;
public:
    IsdnCTIEventCallback(IsdnSystem *is)
    {
	fd=is->ctifd();
	aktiv=1;
    }
    void opencti(SimpleEventChannelAdmin::EventChannelFactory_ptr eventchannelfac);
    CosEventChannelAdmin::ConsumerAdmin_ptr getconsumeradmin()
	{
	    return ctichannel->for_consumers();
	}
    void callback(CORBA::Dispatcher *, CORBA::Dispatcher::Event);
    int ctifd() { return fd; }
    void disconnect_push_supplier();
};

#endif
