
#ifndef __PUSHCONSUMER_IMPL_H__
#define __PUSHCONSUMER_IMPL_H__

#include<mico/CosEventComm.h>

class Erfrischbar
{
 public:
    virtual void erfrische(const CORBA::Any& data)=0;
    virtual void disconnect()=0;
};

// Implementation for interface PushConsumer
class PushConsumer_impl : virtual public CosEventComm::PushConsumer_skel
{
    Erfrischbar *er;
  public:
    PushConsumer_impl(Erfrischbar *_er) { er=_er; }

    void push( const CORBA::Any& data )
      throw(
        ::CORBA::SystemException,
        CosEventComm::Disconnected)
    ;

    void disconnect_push_consumer()
      throw(
        ::CORBA::SystemException)
    ;
};
#endif
