#ifndef RWSTRTOK_H
#define RWSTRTOK_H
class Strtok
{
    char *puffer;
    const char *delim;
    char *p;
    char *akt;
public:
    Strtok(char *ustr,const char *_delim)
	{ puffer=ustr;
	  delim=_delim;
	  p=puffer;
	  next();
	}
    char *operator()() { return (*akt!='\0' ? akt : (char *)0);  }
    void next()
	{
	    akt=p;
	    while(*p!='\0' && !match(*p)) p++;
	    if(*p!='\0')
	    {
	       *p='\0';
	       p++;
	       while(*p!='\0' && match(*p)) p++;
	    }
	}
    int match(char c)
	{
	    const char *pd=delim;
	    while(*pd!='\0' && *pd !=c) pd++;
	    return (*pd==c);
	}
};
#endif

#if 0
main()
{
    char *w,*z;
    strcpy(puffer,"eins\tzwei  drei vier\neins\tzwei  drei\n");

    Strtok lb(puffer,"\n");
    for(;z=lb();lb.next())
    {
	cout << "---------------- " << endl;
	Strtok stk(z," \t\n");
	for(;w=stk();stk.next())
	{
	    cout << w << endl;
	}
    }
}
#endif
