#include<iostream.h>
#include<sys/ioctl.h>
#include<netinet/in.h>
#include<arpa/inet.h>
#include<sys/socket.h>
#include<linux/if.h>
#include<linux/sockios.h>
#include<string.h>
#include<sys/errno.h>


int main(int argc,char **argv)
{
    int sockfd=0;
    struct ifreq req;
    sockfd=socket(AF_INET,SOCK_DGRAM,0);
    
    strncpy(req.ifr_name,argv[1],sizeof(req.ifr_name));

    if(ioctl(sockfd,SIOCGIFADDR,&req)<0)
    {
	cerr << "ioctrl(" << argv[1] << ",SIOCGIFADDR)" << strerror(errno) << endl;
	exit(1);
    }
    
    cout << "ich: " << inet_ntoa(((struct sockaddr_in *)&(req.ifr_addr))->sin_addr) << endl;
 
    if(ioctl(sockfd,SIOCGIFDSTADDR,&req)<0)
    {
	cerr << "ioctrl(" << argv[1] << ",SIOCGIFDSTADDR)" << strerror(errno) << endl;
	exit(1);
    }
    
    cout << "gegenber: " << inet_ntoa(((struct sockaddr_in *)&(req.ifr_addr))->sin_addr) << endl;

    close(sockfd);
}







