
#ifndef __PUSHCONSUMER_IMPL_H__
#define __PUSHCONSUMER_IMPL_H__

#include<mico/CosEventComm.h>

// Implementation for interface PushConsumer
class PushConsumer_impl : virtual public CosEventComm::PushConsumer_skel
{
  public:
    PushConsumer_impl() {}

    void push( const CORBA::Any& data )
      throw(
        ::CORBA::SystemException,
        CosEventComm::Disconnected)
    ;

    void disconnect_push_consumer()
      throw(
        ::CORBA::SystemException)
    ;
};
#endif
