#include"isdnevent.h"
#include"corbalogger.h"
extern CorbaLog corbalog;

int isdnevent_debuglevel = 0;
void IsdnEventCallback::callback(CORBA::Dispatcher *disp, CORBA::Dispatcher::Event ev)
{
    int l;
    CORBA::Any any;
    DialDeviceServantMap::iterator it;

    switch(ev)
    {
    case CORBA::Dispatcher::Read:
	l=::read(fd,puffer,4096);
	if(l<0) 
	{
	    perror("EingabezuEreignisCallback::read");return;
	}
	if(l==0)
        {
	    corbalog.log(Syslog::Crit,"Hurps: isdninfo hat eof ???!!!!");
	    return;
	}
	puffer[l]='\0';

	if(isdnevent_debuglevel > 1)
	{
	    corbalog << "Isdninfo ("<< l << " bytes ):" << endl;
	    corbalog << puffer << endl;
	}

	if(interpretinfo(wurzel,puffer)<=0)
	{
	    if(isdnevent_debuglevel > 0)
		printisdninfo(corbalog,wurzel);
	}
	
	for(it=dmap->begin();it!=dmap->end();++it)
	{
	    (*it).second->aktionifchanged();
	}
	break;
    default: 
       {
	   corbalog.setprio(Syslog::Err);
	   corbalog << "IsdnEvent::callback Unerwarterter Eventtyp "
		    << ev << endl;
	   corbalog.setprio(Syslog::Debug);
       }
    }
}







