#include"corbalib.h"
#include<string.h>

struct Komp
{
    char *nc;
    char *kind;
};

CosNaming::Name &StringToName(CosNaming::Name &name,char *namestr,char ps,char ks)
{
    int akomp=0;
    Komp sk[20];
    Komp *ak=sk;
    char *p;
    int i;
    int ende=0;
    char *sicher = strdup(namestr);

    p=sicher;
    ak->nc=NULL;ak->kind=NULL;
    while(!ende)
    {
	int m;
	ak->nc=p; ak->kind=NULL;
	while(*p!='\0' && *p!=ks && *p!=ps) p++;
	if(*p==ks)
	{
	    *p='\0';
	    ak->kind=++p;
	    while(*p!='\0' && *p!=ps) p++;
	}
	ende=(*p=='\0');
	if(*p==ps || *p=='\0')
	{
	    *p='\0';
	    if(ak->kind == NULL) ak->kind=p;
	    ak++;akomp++;
	    ak->nc=NULL;ak->kind=NULL;
	    p++;
	}
    }
    
    name.length(akomp);
    for(i=0,ak=sk;ak->nc!=NULL;i++,ak++)
    {
	name[i].id   = CORBA::string_dup(ak->nc);
	name[i].kind = CORBA::string_dup(ak->kind);
    }
    free(sicher);
    return name;
}

void print(ostream &str,const CosNaming::Name &name,int withkind=0,char ps,char ks)
{
    for(int i=0;i<name.length();i++)
    {
	if(i>0) str << ps;
	str << name[i].id;
	if(withkind && strlen(name[i].kind)>0)
	{
	    str << ks << name[i].kind;
	}
    }
}

ostream& operator <<(ostream &str,const CosNaming::Name &name)
{
    print(str,name);
    return str;
}

/*------------------- Repository ID ----------------------*/
void ClException::_print(ostream &ostr) const
{
    ostr << msg << endl;
}

CORBA::TypeCode_ptr tc_from_repo_id(CORBA::Repository_ptr repo,const char *repo_id) throw(ClNotFound,ClNoTypedef)
{
  CORBA::Contained_var con = repo->lookup_id(repo_id);
  if(CORBA::is_nil(con))  throw ClNotFound(repo_id);
  
  CORBA::TypedefDef_var def= CORBA::TypedefDef::_narrow(con);
  if(CORBA::is_nil(def))  throw ClNoTypedef(repo_id);
 
  return def->type();
}


/*--------------- Dynany ----------------------------------*/
int find_comp_by_name(DynamicAny::DynStruct_ptr ds,const char *name)
{
    CORBA::Boolean nichtamende=TRUE;
    int r=0;
    for(ds->rewind();nichtamende && !(r=(strcmp(name,ds->current_member_name())==0));nichtamende=ds->next())
    {
    }
    return r;
}



